//
//  mySKScene.m
//  SpriteKitTest
//
//  Created by 森 巧尚 on 2013/12/01.
//  Copyright (c) 2013年 myname. All rights reserved.
//

#import "mySKScene.h"
// 次のシーンのnextSKScene.hをimportします。
#import "nextSKScene.h"

@interface mySKScene() {
    // スタート用のラベルを用意する
    SKLabelNode *startSKLabel;
}
@end

@implementation mySKScene

-(instancetype)initWithSize:(CGSize)size {
    if (self = [super initWithSize:size]) {
        // 背景に色を設定する
        self.backgroundColor = [UIColor brownColor];
        // スタートラベルを作って追加する
        startSKLabel = [SKLabelNode labelNodeWithFontNamed:@"AvenirNext-Heavy"];
        startSKLabel.text = @"START";
        startSKLabel.position = CGPointMake(160, 150);
        [self addChild:startSKLabel];
    }
    return self;
}

// タッチされたとき、ラベルが押されたかを調べる
-(void)touchesBegan:(NSSet *)touches withEvent:(UIEvent *)event {
    // タッチした座標を取得して、
    UITouch *touch = [touches anyObject];
    CGPoint location = [touch locationInNode:self];
    // スタートラベルをタッチしていたら、
    if ([startSKLabel containsPoint:location]) {
        // 次のシーンを作り、
        nextSKScene *scene = [[nextSKScene alloc] initWithSize:self.size];
        // ドアが開くように切り換える
        SKTransition *transition = [SKTransition doorsOpenHorizontalWithDuration:1];
        [self.view presentScene:scene transition:transition];
    }
}

@end
