//
//  nextSKScene.m
//  SpriteKitTest
//
//  Created by 森 巧尚 on 2013/12/01.
//  Copyright (c) 2013年 myname. All rights reserved.
//

#import "nextSKScene.h"
// 戻るシーンのmySKScene.hをimportします。
#import "mySKScene.h"

@interface nextSKScene() {
    // 終了用のラベルを用意する
    SKLabelNode *exitSKLabel;
}
@end

@implementation nextSKScene

-(instancetype)initWithSize:(CGSize)size {
    if (self = [super initWithSize:size]) {
        // 背景に色を設定する
        self.backgroundColor = [UIColor orangeColor];
        // 終了ラベルを作って追加する
        exitSKLabel = [SKLabelNode labelNodeWithFontNamed:@"AvenirNext-Heavy"];
        exitSKLabel.text = @"EXIT";
        exitSKLabel.position = CGPointMake(160, 100);
        [self addChild:exitSKLabel];
    }
    return self;
}

// タッチされたとき、ラベルが押されたかを調べる
-(void)touchesBegan:(NSSet *)touches withEvent:(UIEvent *)event {
    // タッチした座標を取得して、
    UITouch *touch = [touches anyObject];
    CGPoint location = [touch locationInNode:self];
    // 終了ラベルをタッチしていたら、
    if ([exitSKLabel containsPoint:location]) {
        // 最初のシーンを作り、
        mySKScene *scene = [[mySKScene alloc] initWithSize:self.size];
        // ドアが閉じるように切り換える
        SKTransition *transition = [SKTransition doorsCloseHorizontalWithDuration:1];
        [self.view presentScene:scene transition:transition];
    }
}

@end
