//
//  mySKScene.m
//  SpriteKitTest
//
//  Created by 森 巧尚 on 2013/12/01.
//  Copyright (c) 2013年 myname. All rights reserved.
//

#import "mySKScene.h"

@implementation mySKScene

-(instancetype)initWithSize:(CGSize)size {
    if (self = [super initWithSize:size]) {
        // 背景に色を設定する
        self.backgroundColor = [UIColor whiteColor];
        // 物理シミュレーションを行う範囲を用意する
        self.physicsBody = [SKPhysicsBody bodyWithEdgeLoopFromRect:CGRectMake(0, 0, size.width, size.height)];
        // スプライトを作る
        SKSpriteNode *sprite = [SKSpriteNode spriteNodeWithImageNamed:@"corkrobot"];
        // 登場する位置を指定する
        sprite.position = CGPointMake(160, 250);
        // 大きさを指する
        sprite.size = CGSizeMake(50, 70);
        // 少し傾ける
        sprite.zRotation = 0.5;
        // シミュレートを行う物体の大きさを設定する
        SKPhysicsBody *pbody = [SKPhysicsBody bodyWithRectangleOfSize:sprite.size];
        // スプライトにシミュレーションボディを設定する
        sprite.physicsBody = pbody;
        // スプライトを登場させる
        [self addChild:sprite];
    }
    return self;
}

@end
