//
//  mySKScene.m
//  SpriteKitTest
//
//  Created by 森 巧尚 on 2013/12/01.
//  Copyright (c) 2013年 myname. All rights reserved.
//

#import "mySKScene.h"

@implementation mySKScene

-(instancetype)initWithSize:(CGSize)size {
    if (self = [super initWithSize:size]) {
        // 背景に色を設定する
        self.backgroundColor = [UIColor whiteColor];
        // 物理シミュレーションを行う範囲を用意する
        self.physicsBody = [SKPhysicsBody bodyWithEdgeLoopFromRect:CGRectMake(0, 0, size.width, size.height)];
    }
    return self;
}

// タッチされた位置から、キャラを飛ばす
-(void)touchesBegan:(NSSet *)touches withEvent:(UIEvent *)event {
    // タッチした座標を取得する
    UITouch *touch = [touches anyObject];
    CGPoint location = [touch locationInNode:self];
    // スプライトを作ってタッチした位置を設定する
    SKSpriteNode *sprite = [SKSpriteNode spriteNodeWithImageNamed:@"corkrobot"];
    sprite.position = location;
    sprite.size = CGSizeMake(40, 52);
    // シミュレートを行う物体の大きさをスプライトサイズで設定する
    SKPhysicsBody *pbody = [SKPhysicsBody bodyWithRectangleOfSize:sprite.size];
    // 反発力を0.8にして少し弾むようにする
    pbody.restitution = 0.8;
    //　右上に押し出す力を与える
    pbody.velocity = CGVectorMake(300, 300);
    // スプライトにシミュレーションボディを設定する
    sprite.physicsBody = pbody;
    // スプライトを登場させる
    [self addChild:sprite];
}

@end
