//
//  ViewController.m
//  UITableViewTest
//
//  Created by 森 巧尚 on 2013/11/25.
//  Copyright (c) 2013年 myname. All rights reserved.
//

#import "ViewController.h"

@interface ViewController () <UITableViewDataSource, UITableViewDelegate>

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

//-- セクション数
-(NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 2;
}

//-- 行数
-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return 5;
}

//-- 表示するセル
-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    NSString *cellIdentifier = @"Cell";
    // セルを準備する
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:cellIdentifier];
    if (cell == nil) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:cellIdentifier];
    }
    // 表示する文字
    NSString *title = [NSString stringWithFormat:@"セクション%dの%d行目",indexPath.section, indexPath.row];
    // セルのラベルに設定する
    cell.textLabel.text = title;
    // 文字を茶色にする
	cell.textLabel.textColor = [UIColor brownColor];
    // 文字サイズを20にする
    cell.textLabel.font = [UIFont systemFontOfSize:20];
    // チェックマークをつける
    cell.accessoryType = UITableViewCellAccessoryCheckmark;
    
    return cell;
}

//-- 選択されたときに行う処理
- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    NSLog(@"セクション%dの%d行目",indexPath.section, indexPath.row);
}

//-- ステータスバーを非表示
-(BOOL)prefersStatusBarHidden {
    return YES;
}

@end
