//
//  ViewController.m
//  UITableViewTest
//
//  Created by 森 巧尚 on 2013/11/25.
//  Copyright (c) 2013年 myname. All rights reserved.
//

#import "ViewController.h"

@interface ViewController () <UITableViewDataSource, UITableViewDelegate>

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

//-- セクション数
-(NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 2;
}

//-- 行数
-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return 5;
}

//-- 表示するセル
-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    // セルIDをmyCellと設定したセルを使う
    NSString *cellIdentifier = @"myCell";
    // カスタムセルを準備する
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:cellIdentifier];
    if (cell == nil) {
        cell = [tableView dequeueReusableCellWithIdentifier:cellIdentifier];
    }
    // Tag番号1のラベルに文字を設定する
    UILabel *label1 = (UILabel *)[cell viewWithTag:1];
    label1.text = [NSString stringWithFormat:@"セクション%dの",indexPath.section];
    // Tag番号2のラベルに文字を設定する
    UILabel *label2 = (UILabel *)[cell viewWithTag:2];
    label2.text = [NSString stringWithFormat:@"%d行目",indexPath.row];
    
    return cell;
}

//-- 選択されたときに行う処理
- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    NSLog(@"セクション%dの%d行目",indexPath.section, indexPath.row);
}

//-- ステータスバーを非表示
-(BOOL)prefersStatusBarHidden {
    return YES;
}

@end
