//
//  ViewController.m
//  fontListApp
//
//  Created by 森 巧尚 on 2013/11/25.
//  Copyright (c) 2013年 myname. All rights reserved.
//

#import "ViewController.h"

@interface ViewController () <UITableViewDataSource, UITableViewDelegate> {
    NSMutableArray *fontName_array;
}

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.

    // フォントの配列（fontName_array）を用意する
    fontName_array = [[NSMutableArray alloc]init];
    NSArray *familyNames = [UIFont familyNames];
    //-- フォントファミリー名を取り出して調べる
    for (NSString *familyName in familyNames) {
        NSArray *fontNames = [UIFont fontNamesForFamilyName:familyName];
        //-- フォントファミリーの中のフォント名を取り出して、fontName_arrayに追加する
        for (NSString *fontName in fontNames) {
            [fontName_array addObject:fontName];
        }
    }
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

//-- 行数
-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return fontName_array.count;
}

//-- 表示するセル
-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    NSString *cellIdentifier = @"Cell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:cellIdentifier];
    if (cell == nil) {
        // テキストとサブテキストを表示するセルにする
        cell = [[UITableViewCell alloc]initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:cellIdentifier];
    }
    
    // テキストに指定したフォントでサンプル文字を表示する
    NSString *fname = [fontName_array objectAtIndex:indexPath.row];
    cell.textLabel.font = [UIFont fontWithName:fname size:18];
    cell.textLabel.text = @"ABCDE abcde 012345 あいうえお";
    // サブテキストにフォント名を表示する
    cell.detailTextLabel.textColor = [UIColor brownColor];
    cell.detailTextLabel.text = fname;
    
    return cell;
}

//-- ステータスバーを非表示
-(BOOL)prefersStatusBarHidden {
    return YES;
}
@end
